Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've searched in Google and looked in another questions, but still I can't solve this problem! I want to install GNOME-shell theme. So I'm trying to enable user-theme-extension in GNOME tweak tool. But I can't enable it. It has a yellow triangle near it says

"extensions does not support shell version"

What should I do? How can I install GNOME shell themes?

share|improve this question

4 Answers 4

Don't use firefox or chrome to install the add-on from the website, you should use the default gnome browser which goes by the names web and epiphany.

share|improve this answer
    
how to open gnome browser? –  ARUL Jun 21 at 4:02

This means the gnome-shell version you are using is not matching with the version the extension was made for.

Are you on Ubuntu 12.04? the official gnome3 ppa doesn't provide the gnome-shell-extensions package for Precise(12.04). But the Gnome-shell testing ppa does. So you can try adding it to your list of repositories. But use caution because they are unstable builds.

share|improve this answer

You could try adding the webupd8 gnome3 ppa. This ppa has some of the best gnome-shell extensions, including the user-theme extension. you can add this ppa by typing the following in the terminal:

sudo add-apt-repository ppa:webupd8team/gnome3

followed by:

sudo apt-get update

next try installing user-theme extension with:

sudo apt-get install gnome-shell-extensions-user-theme

This works for me on my version of gnome-shell, if it doesn't work please post your version of gnome-shell here.

source: http://www.webupd8.org/2011/10/official-gnome-shell-extensions.html

share|improve this answer
    
didn't work for me.. still - I can't enable the User themes extension in the "SHELL EXTENSIONS" section.. how do I know my shell version? –  Samyon Sahnovitch Jul 4 '12 at 13:23
    
type in terminal gnome-shell --version –  19J94V Jul 4 '12 at 13:55
    
3.5.3 btw thanks for helping :)))) –  Samyon Sahnovitch Jul 4 '12 at 16:51
    
try git clone git://git.gnome.org/gnome-shell-extensions then go in that directory cd gnome-shell-extensions then do ./autogen.sh –prefix=$HOME/.local – enable-extensions=”user-theme". Log out and in, and check if it works. this version should work with gnome-shell version 3.5.2 (there's not yet a version 3.5.3 available) –  19J94V Jul 5 '12 at 20:21

Search a ppa for your version of Ubuntu that contains the gnome-shell-extensions package: https://launchpad.net/ubuntu/+ppas?name_filter=gnome-shell-extensions For Precise, https://launchpad.net/~noobslab/+archive/gnome works perfectly. Install this package, and the user-themes extensions from extensions.gnome.org will function correctly.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.